.theme-light {   
  --bg-color: white;   
  --txt-color: black;
}   

.theme-dark {   
  --bg-color: #1f1f1f;   
  --txt-color: antiquewhite
}   


#page {
  font-family: sans-serif;
  margin: auto;
  max-width: 1280px;
}
body{
  background-color: var(--bg-color);
  color: var(--txt-color);
  transition: 0.5s;
}

.projects{
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  flex-direction: row;
}

.projects > div >img {
  width: 100%;
}
.projects > div {
  width: 200px;
  height: 400px;
  margin: 0 25px;
  padding: 0 10px;
  border: 1px solid;
  border-radius: 5px;
}
.projects li {
  list-style-type: disclosure-closed;
}
#menu li{
  display: inline;
}
#menu li *{
  font-size: inherit;
}







.timeline > div > div > div  {
  font-size: 22px;
  padding: 15px;
  margin-bottom: 15px;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.5s ease-in-out;
}
.timeline > div > div {
  width:50%;
}
.timeline {
  width: 52em;
  margin: 0 auto;
  position: relative;
}
.detail-timeline {
  width:48em;
  display: flex;
}
.timeline > .detail-timeline:nth-child(even) {
  padding-left: 28.1em;
}

.timeline > .detail-timeline:not(:nth-child(even)) {
  text-align: right;
}

.detail-timeline::before {
  content:"";
  width: 3px;
  background-color: #d9d9d9;
  position: absolute;
  top:0;
  bottom: 0;
  left: 50%;
}
.timeline > .detail-timeline:not(:nth-child(even))::after {
  left:47%;
}
.detail-timeline::after {
  font-family: Font Awesome\ 5 Free;
  content:"\f274";
  font-size: 40px;
  color:#23b5af;
  width:50px;
  height: 50px;
  line-height: 50px;
  position: absolute;
  left:48%;
  background: var(--bg-color);
  z-index: 999;
  margin-left: -0px;
  border-radius: 50%;
}





/* Switch (from https://codepen.io/Stockin/pen/qJqVYy) */


input.switch {
  margin:10px;
  position:relative;
  width:60px;
  height:20px;
  -webkit-appearance: none;
  background: linear-gradient(0deg, #333, #000);
  outline: none;
  border-radius: 20px;
  box-shadow: 0 0 0 4px #353535, 0 0 0 5px #3e3e3e, inset 0 0 10px rgba(0,0,0,1);
}

input:checked.switch:nth-of-type(1) {
  background: linear-gradient(0deg, #e67e22, #f39c12);
  box-shadow: 0 0 0 4px #353535, 0 0 0 5px #3e3e3e, inset 0 0 10px rgba(0,0,0,1);
}

input:checked.switch:nth-of-type(2) {
  background: linear-gradient(0deg, #70a1ff, #1e90ff);
  box-shadow: 0 0 0 4px #353535, 0 0 0 5px #3e3e3e, inset 0 0 10px rgba(0,0,0,1);
}

input.switch:before {
  content:'';
  position:absolute;
  top:0;
  left:0;
  width:40px;
  height:20px;
  background: linear-gradient(0deg, #000, #6b6b6b);
  border-radius: 20px;
  box-shadow: 0 0 0 1px #232323;
  transform: scale(.98,.96);
  transition:.5s;
}

input:checked.switch:before {
  left:20px;
}

input.switch:after{
  content:'';
  position:absolute;
  top:calc(50% - 2px);
  left:35px;
  width:2px;
  height:2px;
  background: linear-gradient(0deg, #6b6b6b, #000);
  border-radius: 50%;
  transition:.5s;
}

input:checked.switch:after {
  left:55px;
}

h1 {
  margin:0;
  padding:0;
  font-family: sans-serif;
  text-align:center;
  color:#fff;
  font-size:16px;
  padding:15px 0;
  text-transform: uppercase;
  letter-spacing:4px;
}